<?

namespace Shop\DTO;

/**
 * Заказ для сохранения
 *
 * @author Admin
 */
class OrderRequest
{

    protected $address;
    protected $payment;
    protected $comment;
    protected $client;
    protected $shop;
    protected $items = [];
    protected $discount;

            
    function getDiscount()
    {
        return $this->discount;
    }

    function setDiscount($discount)
    {
        $this->discount = $discount;
        return $this;
    }

               
    function getShop()
    {
        return $this->shop;
    }

    function setShop($shop)
    {
        $this->shop = $shop;
        return $this;
    }

        function getItems()
    {
        return $this->items;
    }

    function setItems($items)
    {
        $this->items = $items;
        return $this;
    }
    
    function getClient(): int
    {
        return $this->client;
    }

    function setClient(int $client)
    {
        $this->client = $client;
        return $this;
    }

    function getAddress(): string
    {
        return $this->address;
    }

    function getPayment(): int
    {
        return $this->payment;
    }

    function getComment(): string
    {
        return $this->comment;
    }

    function setAddress(string $address)
    {
        $this->address = $address;
        return $this;
    }

    function setPayment(int $payment)
    {
        $this->payment = $payment;
        return $this;
    }

    function setComment(string $comment)
    {
        $this->comment = $comment;
        return $this;
    }

}